using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;
using System.Globalization;
/// <summary>
/// Summary description for BasePage
/// </summary>
public class BasePage:System.Web.UI.Page
{
	public BasePage()
	{
	
	}

	protected string CurrentCulture
	{
		get
		{
			if(null != Session["PreferedCulture"])
			{
				return Session["PreferedCulture"].ToString();
			}
			return String.Empty;
		}
	}

	protected string CurrentUser
	{
		get
		{
			if(null != Session["UserName"])
			{
				return Session["UserName"].ToString();
			}
			return "Mike"; //The default value can be replaced in project with the context login account
		}
	}

	protected string CurrentUserId
	{
		get
		{
			if(null != Session["UserId"])
			{
				return Session["UserId"].ToString();
			}
			return "1"; //The default value can be replaced in project with the context login account
		}
	}

	protected override void InitializeCulture()
	{
		if(!String.IsNullOrEmpty(CurrentCulture))
		{
			try
			{
				Thread.CurrentThread.CurrentCulture = new CultureInfo(CurrentCulture);
				Thread.CurrentThread.CurrentUICulture = Thread.CurrentThread.CurrentCulture;
			}
			catch
			{
				throw;
			}
			
		}

		//System.Globalization.CultureInfo.CurrentCulture
	}
}
